Summary:	Cpqarrayd - SmartArray controllers monitoring
Summary(pl.UTF-8):	Cpqarrayd - monitorowanie kontrolerów SmartArray
Name:		cpqarrayd
Version:	2.3
Release:	7
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.strocamp.net/opensource/compaq/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	55421afe4817863efab45c59a9486a60
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-headers.patch
Patch1:		format-security.patch
URL:		http://www.strocamp.net/opensource/cpqarrayd.php
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	net-snmp-devel
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cpqarrayd monitors SmartArray controllers for you and notifies by
sending SNMP traps and via syslog.

%description -l pl.UTF-8
Cpqarrayd monitoruje kontrolery SmartArray i powiadamia przez
wysyłanie pułapek SNMP oraz sysloga.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/cpqarrayd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/cpqarrayd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cpqarrayd
%service cpqarrayd restart "Compaq RAID Array Monitor"

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del cpqarrayd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/cpqarrayd
%{_mandir}/man1/cpqarrayd.1*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/cpqarrayd
%attr(754,root,root) /etc/rc.d/init.d/cpqarrayd
%changelog
* Mon Oct 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cpqarrayd.git;a=log;h=master

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> f0afaed
- release 7 (by relup.sh)

* Mon Sep 03 2018 Jan Rękorajski <baggins@pld-linux.org> 2e2e74a
- fix format string errors
- rel 6

* Sat Jul 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9882a3a
- release 5

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ebe02ce
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 82cfa73
- release 3

* Wed Jul 09 2008 Paweł Gołaszewski <blues@pld-linux.org> 24ca1ad
- rel.2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 5982175
- unified spacing

* Tue Jan 01 2008 zbyniu <zbyniu@pld-linux.org> a2788b0
- up to 2.3

* Wed Nov 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 3045dc8
- simplicity and verboseness wins: let try-restart inform if service is not running

* Tue Nov 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 7dd0c97
- removed duplicate force-reload

* Mon Nov 26 2007 Elan Ruusamäe <glen@pld-linux.org> cf9cde5
- rel 2

* Mon Nov 26 2007 Jakub Bogusz <qboosh@pld-linux.org> e528e12
- force-reload is not supposed to start service if it is not running
- introduced try-restart (following LSB 3.1)

* Mon Nov 26 2007 Elan Ruusamäe <glen@pld-linux.org> 0cb42a1
- rel 1

* Mon Nov 26 2007 Elan Ruusamäe <glen@pld-linux.org> f030383
- use functions

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e5b5430
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 45666b2
- converted to UTF-8

* Thu Mar 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 91a242f
- reload is not supported

* Thu Mar 09 2006 Elan Ruusamäe <glen@pld-linux.org> b500fbf
- %post/%postun scriptlets

* Thu Mar 09 2006 Elan Ruusamäe <glen@pld-linux.org> 4b460ac
- added init script

* Thu Mar 09 2006 Elan Ruusamäe <glen@pld-linux.org> c30ac04
- add trap destinations param

